Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.fieldvalue
Interface ConvertibleFromConfig

All Known Subinterfaces:
  Artifact, BuildStrategy, QuartzStrategy, Repository, XmppMessageSender

All Known Implementing Classes:
  AbstractBuildStrategy, AbstractPollingBuildStrategy, AbstractRepository, CronTriggerBuildStrategy, CVSRepository, DefaultArtifact, FisheyeTriggeredBuildStrategy, InitialBootstapBuildStrategy, LegacyAbstractBuildStrategy, LegacyAbstractPollingBuildStrategy, LegacyAbstractRepository, LegacyArtifact, LegacyCVSRepository, LegacyInitialBootstapBuildStrategy, LegacyPerforceRepository, LegacyPollingBuildStrategy, LegacySmackXmppMessageSender, LegacySvnRepository, LegacyTriggeredBuildStrategy, ManualBuild, ManualBuildStrategy, PerforceRepository, PollingBuildStrategy, QuartzStrategyImpl, SingleDailyBuildStrategy, SmackXmppMessageSender, SvnRepository, TriggeredBuildStrategy

    public interface ConvertibleFromConfig

This interface defones an object that can be converted to a from a list of `FieldValueItem`s in the form of a `FieldValueItemHolder` object

Method Summary
`void` | `populateFromConfig(HierarchicalConfiguration config)` Update the current object with data in the `FieldValueItemHolder`
`HierarchicalConfiguration` | `toConfiguration()` Generate a `FieldValueItemHolder` from the current state of the object

Method Detail

### populateFromConfig

    void populateFromConfig(HierarchicalConfiguration config)

  Update the current object with data in the `FieldValueItemHolder`

  Parameters:
    `config` -

### toConfiguration

    HierarchicalConfiguration toConfiguration()

  Generate a `FieldValueItemHolder` from the current state of the object

  Returns:
    Always returns an `FieldValueItemHolder`. Never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.